PLplot: csa.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Typedefs | Functions | Variables
csa.h File Reference
`#include "csadll.h"`

Go to the source code of this file.

## Classes
struct | point

## Macros
#define | _POINT_STRUCT

## Typedefs
typedef struct csa | csa

## Functions
CSADLLIMPEXP csa * | csa_create (void)
CSADLLIMPEXP void | csa_destroy (csa *a)
CSADLLIMPEXP void | csa_addpoints (csa *a, int n, point points[])
CSADLLIMPEXP void | csa_calculatespline (csa *a)
CSADLLIMPEXP void | csa_approximate_point (csa *a, point *p)
CSADLLIMPEXP void | csa_approximate_points (csa *a, int n, point *points)
CSADLLIMPEXP void | csa_setnpmin (csa *a, int npmin)
CSADLLIMPEXP void | csa_setnpmax (csa *a, int npmax)
CSADLLIMPEXP void | csa_setk (csa *a, int k)
CSADLLIMPEXP void | csa_setnpps (csa *a, double npps)

## Variables
int | csa_verbose
const char * | csa_version

## Macro Definition Documentation

#define _POINT_STRUCT

Definition at line 28 of file csa.h.

## Typedef Documentation

typedef struct csa csa

Definition at line 41 of file csa.h.

## Function Documentation

CSADLLIMPEXP void csa_addpoints | ( | csa * | a,
|  | int | n,
|  | point | points[]
| ) |  |

Definition at line 398 of file csa.c.

CSADLLIMPEXP void csa_approximate_point | ( | csa * | a,
|  | point * | p
| ) |  |

Definition at line 1674 of file csa.c.

CSADLLIMPEXP void csa_approximate_points | ( | csa * | a,
|  | int | n,
|  | point * | points
| ) |  |

Definition at line 1747 of file csa.c.

CSADLLIMPEXP void csa_calculatespline | ( | csa * | a | ) |

Definition at line 1665 of file csa.c.

CSADLLIMPEXP csa* csa_create | ( | void |  | ) |

Definition at line 351 of file csa.c.

CSADLLIMPEXP void csa_destroy | ( | csa * | a | ) |

Definition at line 380 of file csa.c.

CSADLLIMPEXP void csa_setk | ( | csa * | a,
|  | int | k
| ) |  |

Definition at line 1765 of file csa.c.

CSADLLIMPEXP void csa_setnpmax | ( | csa * | a,
|  | int | npmax
| ) |  |

Definition at line 1760 of file csa.c.

CSADLLIMPEXP void csa_setnpmin | ( | csa * | a,
|  | int | npmin
| ) |  |

Definition at line 1755 of file csa.c.

CSADLLIMPEXP void csa_setnpps | ( | csa * | a,
|  | double | npps
| ) |  |

## Variable Documentation

int csa_verbose

Definition at line 41 of file csa.c.

const char* csa_version

Definition at line 17 of file csa/version.h.